package com.cours.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class ConnectionHelper {
	private static final Log log = LogFactory.getLog(ConnectionHelper.class);

	public static void closeEntityManagerResources(EntityManagerFactory emf, EntityManager em) {
		log.debug("Entree de la methode");
		try {
			if (emf != null && emf.isOpen()) {
				emf.close();
			}
		} catch (Exception e) {
			log.error("Erreur lors de la fermeture de l'EntityManagerFactory , Exception :  " + e);
		}
		try {
			if (em != null && em.isOpen()) {
				em.close();
			}
		} catch (Exception e) {
			log.error("Erreur lors de la fermeture de l'EntityManager , Exception :  " + e);
		}

		log.debug("Sortie de la methode");
	}

	public static void closeResources(Connection connection, PreparedStatement preparedStatement, ResultSet result) {
		String methodName = "closeResources";
		if (connection != null) {
			try {
				connection.close();
			} catch (Exception e) {
				System.out.println(
						"Erreur lors de l'execution de la methode " + methodName + " , Exception: " + e.getMessage());
			}
		}
		if (preparedStatement != null) {
			try {
				preparedStatement.close();
			} catch (Exception e) {
				System.out.println(
						"Erreur lors de l'execution de la methode " + methodName + " , Exception: " + e.getMessage());
			}
		}
		if (result != null) {
			try {
				result.close();
			} catch (Exception e) {
				System.out.println(
						"Erreur lors de l'execution de la methode " + methodName + " , Exception: " + e.getMessage());
			}
		}
	}
}
