package com.cours.dao.factory;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.cours.dao.IAdresseDao;
import com.cours.dao.IPersonneDao;

public abstract class AbstractDaoFactory {

	private static final Log log = LogFactory.getLog(AbstractDaoFactory.class);

	public enum FactoryDaoType {
		JPA_DAO
	}

	public abstract IPersonneDao getPersonneDao();

	public abstract IAdresseDao getAdresseDao();

	public static AbstractDaoFactory getFactory(FactoryDaoType daoType) {
		AbstractDaoFactory myFactory = null;
		switch (daoType) {
		case JPA_DAO:
		default:
			// Instancier DaoFactory
			myFactory = DaoFactory.getInstance();
			break;
		}
		return myFactory;
	}
}
